Name:           dde-session-ui
Version:        5.5.39
Release:        3%{?dist}
Summary:        Deepin desktop-environment - Session UI module
License:        GPLv3
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-fix.patch

BuildRequires:  gcc-c++
BuildRequires:  deepin-gettext-tools
BuildRequires:  pkgconfig(dtkwidget) >= 5.1
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xext)
BuildRequires:  gocode
BuildRequires:  qt5-devel
BuildRequires:  dtkcore-devel >= 5.1
BuildRequires:  dde-dock-devel
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  gtest-devel
Requires:       dde-daemon
Requires:       startdde

Requires:       lightdm
Requires(post): sed
Provides:       lightdm-deepin-greeter = %{version}-%{release}
Provides:       lightdm-greeter = 1.2
Provides:       deepin-notifications = %{version}-%{release}
Obsoletes:      deepin-notifications < %{version}-%{release}

%description
This project include those sub-project:

- dde-shutdown: User interface of shutdown.
- dde-lock: User interface of lock screen.
- dde-lockservice: The back-end service of locking screen.
- lightdm-deepin-greeter: The user interface when you login in.
- dde-switchtogreeter: The tools to switch the user to login in.
- dde-lowpower: The user interface of reminding low power.
- dde-osd: User interface of on-screen display.
- dde-hotzone: User interface of setting hot zone.

%prep
%setup -q -n %{name}-%{version}
sed -i 's|default_background.jpg|default.png|' widgets/fullscreenbackground.cpp
sed -i 's|lib/deepin-daemon|libexec/deepin-daemon|' \
    dde-osd/files/com.deepin.dde.Notification.service \
    dde-osd/files/com.deepin.dde.freedesktop.Notification.service \
    dde-osd/files/com.deepin.dde.osd.service \
    dde-osd/files/dde-osd.desktop \
    dde-welcome/com.deepin.dde.welcome.service \
    dde-warning-dialog/com.deepin.dde.WarningDialog.service \
    CMakeLists.txt
sed -i 's|lib/dde-dock|%{_libdir}/dde-dock|' CMakeLists.txt
%patch0 -p1

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir build && cd build
%cmake ..
%make_build

%install
cd build
%make_install INSTALL_ROOT=%{buildroot}

%post
sed -i "s|#greeter-session.*|greeter-session=lightdm-deepin-greeter|g" /etc/lightdm/lightdm.conf

%files
%doc README.md
%license LICENSE
%{_bindir}/dde-*
%{_bindir}/dmemory-warning-dialog
%{_libexecdir}/deepin-daemon/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/devices/computer.svg
%{_datadir}/dbus-1/services/*.service
%{_libdir}/dde-dock/plugins/libnotifications.so
%{_prefix}/share/glib-2.0/schemas/com.deepin.dde.dock.module.notifications.gschema.xml
%{_datadir}/applications/dde-*

%changelog
* Fri Apr 14 2023 liweiganga <liweiganga@uniontech.com> - 5.5.39-3
- feat: fix bug(bugid:187789)

* Mon Jan 09 2023 liweiganga <liweiganga@uniontech.com> - 5.5.39-2
- rebuild: rebuild

* Mon Jan 09 2023 liweiganga <liweiganga@uniontech.com> - 5.5.39-1
- update: update to 5.5.39

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.4.35.2-1.01
- update: update to 5.4.35.2-1.01
